{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load i18n %}
{% block title %}
    {% trans "Login" %}
{% endblock %}
{% block body %}
    <div class="container-fluid mb-2">
        <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
            <a class="navbar-brand" href="#">{% trans "SnapFood" %}</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarNavDropdown"
                    aria-controls="navbarNavDropdown" aria-expanded="false"
                    aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavDropdown">
                <ul class="navbar-nav">
                    <li class="nav-item ml-3">
                        <a class="nav-link" href="#">{% trans "Login" %}</a>
                    </li>
                    <li class="nav-item ml-3">
                        <a class="nav-link" href="#">{% trans "Sign up " %}</a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
    <div class="container mt-5">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card mt-5">
                    <div class="card-body">
                        <form method="post" action="{% url 'account:login_email' %}">
                            {% csrf_token %}
                            <div class="form-group row">
                                <div class="col-sm-8">
                                    {{ form.email|as_crispy_field }}
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-sm-8">
                                    {{ form.password|as_crispy_field }}
                                </div>
                            </div>
                            <input type="hidden" name="next" value="{{ next }}" />
                            <div class="form-group row justify-content-center">
                                <div class="col-6 ">
                                    <button type="submit"
                                            class="btn btn-danger btn-block " value="Log-in">
                                        {% trans "Login" %}
                                    </button>
                                </div>
                            </div>
                            <div class="row justify-content-center mt-4">
                                <h6>{% trans "Have not account yet?" %}</h6>
                                <h6><a href="#">{% trans "Sing up" %}</a></h6>
                                <br /><a href="{% url 'account:login_phone' %}" >{% trans "Login Via SMS" %}</a><br />
                                <h6><a href="{% url 'account:forgot_password' %}"> You forgot your password?</a></h6><br />
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}